BEvm service

### Hierarchy

- BEvmRPC

## Index

### Constructors

- constructor

### Properties

- conns
- timeout
- serviceName

### Methods

- setTimeout
- viewCall
- anyPromise

## Constructors

### constructor

- new BEvmRPC(roster: Roster): BEvmRPC

- - Defined in src/bevm/bevm-rpc.ts:38

  #### Parameters

  - ##### roster: Roster

  #### Returns BEvmRPC

## Properties

### conns

conns: WebSocketConnection[]

- Defined in src/bevm/bevm-rpc.ts:37

### Private timeout

timeout: number

- Defined in src/bevm/bevm-rpc.ts:38

### Static serviceName

serviceName: string = "BEvm"

- Defined in src/bevm/bevm-rpc.ts:9

## Methods

### setTimeout

- setTimeout(value: number): void

- - Defined in src/bevm/bevm-rpc.ts:52

  Set a new timeout value for future requests.

  #### Parameters

  - ##### value: number

    Timeout in [ms]

  #### Returns void

### viewCall

- viewCall(byzcoinId: Buffer, bevmInstanceId: Buffer, accountAddress: Buffer, contractAddress: Buffer, callData: Buffer, minBlockIndex?: number): Promise<ViewCallResponse>

- - Defined in src/bevm/bevm-rpc.ts:69

  Execute a view method (read-only)

  #### Parameters

  - ##### byzcoinId: Buffer

    ByzCoin ID

  - ##### bevmInstanceId: Buffer

    BEvm instance ID

  - ##### accountAddress: Buffer

    Address of the EVM account

  - ##### contractAddress: Buffer

    Address of the smart contract

  - ##### callData: Buffer

    ABI-packed call arguments

  - ##### Default value minBlockIndex: number = 0

    Minimum block index that nodes must have to execute the view method

  #### Returns Promise<ViewCallResponse>

  Result of the view method execution

### Static anyPromise

- anyPromise<T>(promises: Array<Promise<T>>): Promise<T>

- - Defined in src/bevm/bevm-rpc.ts:14

  #### Type parameters

  - #### T

  #### Parameters

  - ##### promises: Array<Promise<T>>

  #### Returns Promise<T>

Generated using TypeDoc